package com.engine.nbkq.web;

import com.alibaba.fastjson.JSONObject;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import java.util.HashMap;
import java.util.Map;

public class NbjhWorkflowAction {

    @GET
    @Path("/getUserSecLevel")
    @Produces({MediaType.TEXT_PLAIN})
    public String checkOverTime(@Context HttpServletRequest request, @Context HttpServletResponse response) {
        Map<String,Object> apidatas = new HashMap<String,Object>();
        try{
            User user = HrmUserVarify.getUser(request, response);
            String secLevel = user.getSeclevel();
            String userId = user.getUID()+"";
            apidatas.put("secLevel",secLevel);
            apidatas.put("userId",userId);
            apidatas.put("api_status",true);
        }catch (Exception e) {
            e.printStackTrace();
            apidatas.put("api_status",false);
            apidatas.put("api_errormsg","exception:"+e.getMessage());
        }
        return JSONObject.toJSONString(apidatas);
    }

}
